Summary:	Contacts manager for GNOME
Summary(pl.UTF-8):	Zarządca kontaktów dla GNOME
Name:		gnome-contacts
Version:	3.34
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-contacts/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	b80f1f93adfda6073a9b1ed885644a58
URL:		https://wiki.gnome.org/Apps/Contacts
BuildRequires:	cheese-devel >= 3.4.0
BuildRequires:	clutter-gtk-devel
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	evolution-data-server-devel >= 3.13.90
BuildRequires:	folks-devel >= 0.11.4
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gnome-desktop-devel >= 3.2.0
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	gtk+3-devel >= 3.23.1
BuildRequires:	libgee-devel >= 0.10.0
BuildRequires:	libhandy-devel >= 0.0.9
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.41
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.22.0
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	vala-evolution-data-server
BuildRequires:	vala-folks
BuildRequires:	vala-gnome-online-accounts
BuildRequires:	vala-libhandy >= 0.0.9
BuildRequires:	vala-telepathy-glib >= 0.22.0
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.44.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	cheese >= 3.4.0
Requires:	evolution-data-server >= 3.13.90
Requires:	folks >= 0.11.4
Requires:	glib2 >= 1:2.44.0
Requires:	gnome-desktop >= 3.2.0
Requires:	gtk+3 >= 3.23.1
Requires:	libhandy >= 0.0.9
Requires:	telepathy-glib >= 0.22.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-contacts is a standalone contacts manager for GNOME desktop.

%description -l pl.UTF-8
gnome-contacts to samodzielny zarządca kontaktów dla środowiska GNOME.

%prep
%setup -q

%build
%meson build \
	-Dtelepathy=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README.md NEWS
%attr(755,root,root) %{_bindir}/gnome-contacts
%attr(755,root,root) %{_libexecdir}/gnome-contacts-search-provider
%{_datadir}/dbus-1/services/org.gnome.Contacts.service
%{_datadir}/dbus-1/services/org.gnome.Contacts.SearchProvider.service
%{_datadir}/glib-2.0/schemas/org.gnome.Contacts.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Contacts.search-provider.ini
%{_datadir}/metainfo/org.gnome.Contacts.appdata.xml
%{_desktopdir}/org.gnome.Contacts.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Contacts.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Contacts-symbolic.svg
%{_mandir}/man1/gnome-contacts.1*
%changelog
* Thu Oct 24 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-contacts.git;a=log;h=master

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 354b1c5
- pl

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> b03fc8a
- updated to 3.34

* Thu Apr 18 2019 Jan Rękorajski <baggins@pld-linux.org> 3507f01
- release 3 (by relup.sh)

* Wed Mar 13 2019 Jan Rękorajski <baggins@pld-linux.org> 5c5b9fe
- release 2 (by relup.sh)

* Fri Feb 01 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 89b7111
- Updated to 3.30.2

* Wed Mar 14 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 45da8da
- Release 2

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> a379fab
- Update to 3.28.0

* Wed Oct 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 82cf90e
- Update to 3.22.1

* Sun Dec 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 1fe5859
- updated to 3.18.1

* Mon Sep 28 2015 Marcin Banasiak <marcin.banasiak@gmail.com> baa6f35
- Update to 3.18.0

* Fri Aug 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> d129d0a
- updated to 3.16.2

* Sun Apr 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> bc17c50
- updated to 3.16.1

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> d8b745d
- x32 rebuild
- release 2 (by relup.sh)

* Wed Apr 01 2015 Łukasz Kieś <kiesiu@pld-linux.org> f373cbf
- updated to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> caacc17
- updated gettext BR

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 346472b
- updated to 3.14.2

* Wed Oct 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 184e8f8
- Update to 3.14.0

* Sun Mar 30 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 50c5085
- Update to 3.12.0

* Sun Oct 20 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 04e8a39
- Update to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 01ea227
- Update to 3.10

